# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'codebreakergem/version'

Gem::Specification.new do |spec|
  spec.name          = 'codebreakergem'
  spec.version       = Codebreakergem::VERSION
  spec.authors       = ['Sasha']
  spec.email         = ['sasha']

  spec.summary       = 'Codebreaker gem'
  spec.description   = 'A logic game where you need to guess number'
  spec.homepage      = 'https://github.com/SashaZhuravskiy/CodebreakerGemRepo/'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.' unless spec.respond_to?(:metadata)

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/SashaZhuravskiy/CodebreakerGemRepo/'
  spec.metadata['changelog_uri'] = 'https://github.com/SashaZhuravskiy/CodebreakerGemRepo/'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16.1'
  spec.add_development_dependency 'byebug', '~> 9.0', '>= 9.0.6'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_dependency 'faker', '~> 2.10'
  spec.add_development_dependency 'fasterer', '~> 0.8.0'
  spec.add_dependency 'i18n', '~> 1.7'
  spec.add_development_dependency 'pry', '~> 0.10.3'
  spec.add_development_dependency 'rspec', '~> 3.9'
  spec.add_development_dependency 'rubocop', '~> 0.76.0'
  spec.add_development_dependency 'simplecov', '~> 0.12.0'
end
